Debian Bug report logs - #432834
ImportError: No module named Scientific.IO.NetCDF

version graph

Package: python-netcdf; Maintainer for python-netcdf is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for python-netcdf is src:python-scientific.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Thu, 12 Jul 2007 10:36:01 UTC

Severity: normal

Found in version python-scientific/2.4.9-2

Fixed in version python-scientific/2.8-1.2

Done: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#432834; Package python-netcdf. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ImportError: No module named Scientific.IO.NetCDF
Date: Thu, 12 Jul 2007 12:32:50 +0200
Package: python-netcdf
Version: 2.4.9-2
Severity: normal


I cannot import the netcdf library from python-netcdf package.
Steps:

$ sudo apt-get install python-netcdf
$ python /usr/share/doc/python-netcdf/examples/netcdf_demo.py
Traceback (most recent call last):
  File "/usr/share/doc/python-netcdf/examples/netcdf_demo.py", line 2,
in ?
    from Scientific.IO.NetCDF import *
ImportError: No module named Scientific.IO.NetCDF

Thanks

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.18-4-686-bigmem
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages python-netcdf depends on:
ii  libc6                         2.5-9+b1   GNU C Library: Shared libraries
ii  netcdfg3                      3.5.0-7.1  An interface for scientific data a
ii  python                        2.3.5-2    An interactive high-level object-o
ii  python-numeric                23.8-1     Numerical (matrix-oriented) Mathem

-- no debconf information



Bug Marked as fixed in versions python-netcdf/2.8-1.2+b2. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 25 Jan 2012 19:39:06 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Wed, 25 Jan 2012 19:39:08 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Wed, 25 Jan 2012 19:39:08 GMT) Full text and rfc822 format available.

Message #12 received at 432834-done@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Control bugs server <control@bugs.debian.org>
Cc: 432834-done@bugs.debian.org
Date: Wed, 25 Jan 2012 20:36:46 +0100
fixed 432834 python-netcdf/2.8-1.2+b2
thanks

Seems to be working now:


$  python /usr/share/doc/python-netcdf/examples/netcdf_demo.py
[ 42.   1.  42.]
('n', 'xyz')
(10, 20)
{'xyz': 3, 't': None, 'n': 20}
{'foo': <NetCDFVariable object at 0x2c7e198>, 'bar': <NetCDFVariable
object at 0x2c7e4f8>}
{'xyz': 3, 't': None, 'n': 20}
{'foo': <NetCDFVariable object at 0x2c7e5d0>, 'bar': <NetCDFVariable
object at 0x2c7e618>}
[ 42.   1.  42.]




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:58 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions python-netcdf/2.8-1.2+b2. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 15:57:38 GMT) Full text and rfc822 format available.

Marked as fixed in versions python-scientific/2.8-1.2. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 15:57:39 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Dec 2013 07:32:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:56:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.